Package org.eclipse.birt.report.engine.api

# Class DefaultStatusHandler

java.lang.Object
org.eclipse.birt.report.engine.api.DefaultStatusHandler

All Implemented Interfaces:
  `IStatusHandler`

public class DefaultStatusHandler extends Object implements IStatusHandler
default implementation for a status handler. Writes all status information to console.

## Constructor Summary

Constructors
Constructor
Description
`DefaultStatusHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`finish()`
does cleanup work
`void`
`initialize()`
initialize the status handler.
`void`
`showStatus(String s)`
showa the status string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultStatusHandler

public DefaultStatusHandler()

## Method Details

### initialize

public void initialize()
Description copied from interface: `IStatusHandler`
initialize the status handler.

Specified by:
  `initialize` in interface `IStatusHandler`

### finish

public void finish()
Description copied from interface: `IStatusHandler`
does cleanup work

Specified by:
  `finish` in interface `IStatusHandler`

### showStatus

public void showStatus(String s)
Description copied from interface: `IStatusHandler`
showa the status string

Specified by:
  `showStatus` in interface `IStatusHandler`
Parameters:
  `s` - the status string